## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name typecode-libmagic
%global pypi_name_with_underscore %(echo "%{pypi_name}" | sed "s/-/_/g")

Name:           python-%{pypi_name}
Version:        21.5.31
Release:        %autorelease
Summary:        ScanCode Toolkit plugin to use pre-installed libmagic library and data file

# Only the code in src/__init__.py is relevant as we do not bundle libmagic
License:        BSD-2-Clause
URL:            https://github.com/nexB/scancode-plugins
# wget https://github.com/nexB/scancode-plugins/archive/v21.5.31/scancode-plugins-21.5.31.tar.gz
# tar xvf scancode-plugins-21.5.31.tar.gz
# pushd scancode-plugins-21.5.31
# find . ! \( -name builtins -o -name typecode_libmagic_system_provided \) -maxdepth 1 -exec rm -rvf {} \;
# mv builtins/typecode_libmagic_system_provided/* ./
# rm -rfv builtins/
# popd
# mv scancode-plugins-21.5.31 typecode-libmagic-21.5.31
# tar czf typecode-libmagic-21.5.31.tar.gz typecode-libmagic-21.5.31
# rm -rfv typecode-libmagic-21.5.31
# rm -rfv scancode-plugins-21.5.31.tar.gz
Source:         %{pypi_name}-%{version}.tar.gz
Patch:          0001-Fix-Linux-distribution-detection.patch
Patch:          0001-Fix-library-location-on-32-bits-arch.patch
Patch:          remove-unused-licenses.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(plugincode)

%global common_description %{expand:
The path to libmagic and its database is determined from well known distro
locations.}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       file-devel

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name_with_underscore}

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 21.5.31-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 21.5.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Robert-André Mauchin <zebob.m@gmail.com> - 21.5.31-2
- Fix patch

* Thu Nov 02 2023 Robert-André Mauchin <zebob.m@gmail.com> - 21.5.31-1
- Initial import
## END: Generated by rpmautospec
